Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0028818
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Localization Pack: Spain] Taxesmajoralways2015-01-30 10:252015-02-24 18:02
ReporterjecharriView Statuspublic 
Assigned Tojorge-garcia 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision4a2e9dbecf82
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Regression date
Regression introduced by commit
Regression level
Review Assigned Toaferraz
Regression introduced in release
Summary

0028818: Not possible to apply taxes dataset in 2.50

DescriptionNot possible to apply taxes dataset in 2.50
Steps To Reproduce-Installs module Taxes: configuration for Spain (Impuestos para España) version 1.2.75
-Go to enterprise module management window and apply taxes dataset

You will receive that isCashVat property does not exist
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0073932)
vmromanos (manager)
2015-01-30 10:32

Proposed solution:
1. Transplant C_Tax.IsCashVAT database column and definition in AD to 2.50. Important: do not create a field, because this feature has no sense in 2.50

2. Think about canceling previous versions of tax rates modules where this dependency to cashvat column started
(0074665)
jorge-garcia (developer)
2015-02-19 16:10

Test Plan:
As System Administrator role:
 Install module: Taxes: configuration for Spain (Impuestos para España) version
  1.2.75.
As Openbravo Admin role:
 Go to the Enterprise Module Management window
  Select in the Reference Data the dataset of the module
  Wait until the end of the process and the verification
(0074872)
hgbot (developer)
2015-02-24 17:59

Repository: erp/stable/2.50
Changeset: 4a2e9dbecf829d238486bc13c80020315bec61da
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Thu Feb 19 15:56:38 2015 +0100
URL: http://code.openbravo.com/erp/stable/2.50/rev/4a2e9dbecf829d238486bc13c80020315bec61da [^]

Fixed issue 28818: Not possible to apply taxes dataset in 2.50

This issue is related with the Openbravo ERP 2.50

When installing the 'Taxes: Configuration for Spain (Impuestos para España)'
and trying to apply taxes dataset in the enterprise module management
window this error appears in the window: isCashVat property does not exist.

The solution is to add this column to the core of Openbravo. To match the
Openbravo ERP 3 definition, the definition was copied from that version
and transplanted to the Openbravo ERP 2.50.

This three xml files had changed:
src-db/database/model/tables/C_TAX.xml
src-db/database/sourcedata/AD_COLUMN.xml
src-db/database/sourcedata/AD_ELEMENT.xml

In those files, we had set the definition of the new column.

Now, the dataset of the 'Taxes: Configuration for Spain (Impuestos para
España)' is applied correctly in Openbravo 2.50

---
M src-db/database/model/tables/C_TAX.xml
M src-db/database/sourcedata/AD_COLUMN.xml
M src-db/database/sourcedata/AD_ELEMENT.xml
---
(0074873)
aferraz (developer)
2015-02-24 18:02

Code review + Testing OK

- Issue History
Date Modified Username Field Change
2015-01-30 10:25 jecharri New Issue
2015-01-30 10:25 jecharri Assigned To => jonalegriaesarte
2015-01-30 10:32 vmromanos Note Added: 0073932
2015-02-02 13:33 jonalegriaesarte Assigned To jonalegriaesarte => Sandrahuguet
2015-02-18 18:11 Sandrahuguet Assigned To Sandrahuguet => jorge-garcia
2015-02-19 16:10 jorge-garcia Note Added: 0074665
2015-02-24 17:59 hgbot Checkin
2015-02-24 17:59 hgbot Note Added: 0074872
2015-02-24 17:59 hgbot Status new => resolved
2015-02-24 17:59 hgbot Resolution open => fixed
2015-02-24 17:59 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/stable/2.50/rev/4a2e9dbecf829d238486bc13c80020315bec61da [^]
2015-02-24 18:02 aferraz Review Assigned To => aferraz
2015-02-24 18:02 aferraz Note Added: 0074873
2015-02-24 18:02 aferraz Status resolved => closed


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker